CRAN Package Check Results for Package CNVScope

Last updated on 2019-06-26 01:54:12 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 1.9.7 33.89 485.98 519.87 NOTE
r-devel-linux-x86_64-debian-gcc 1.9.7 29.65 386.82 416.47 NOTE
r-devel-linux-x86_64-fedora-clang 1.9.7 667.54 NOTE
r-devel-linux-x86_64-fedora-gcc 1.9.7 515.89 NOTE
r-devel-windows-ix86+x86_64 1.9.7 164.00 705.00 869.00 OK
r-patched-linux-x86_64 1.9.7 32.74 475.53 508.27 OK
r-patched-solaris-x86 1.9.7 1023.00 NOTE
r-release-linux-x86_64 1.9.7 0.64 2.23 2.87 ERROR
r-release-windows-ix86+x86_64 1.9.7 112.00 555.00 667.00 OK
r-release-osx-x86_64 1.9.7 ERROR
r-oldrel-windows-ix86+x86_64 1.9.7 69.00 402.00 471.00 OK
r-oldrel-osx-x86_64 1.9.7 ERROR

Check Details

Version: 1.9.7
Check: for non-standard things in the check directory
Result: NOTE
    Found the following files/directories:
     'chr1_chr1_melted.RData'
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc

Version: 1.9.7
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     'ComplexHeatmap' 'DT' 'blockseg' 'readr'
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86

Version: 1.9.7
Check: package dependencies
Result: ERROR
    Packages required but not available:
     'GenomicFeatures', 'GenomicInteractions'
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-linux-x86_64

Version: 1.9.7
Check: package dependencies
Result: ERROR
    Packages required but not available:
     'InteractionSet', 'S4Vectors', 'jointseg', 'GenomicFeatures',
     'GenomicInteractions', 'IRanges', 'biomaRt', 'ComplexHeatmap',
     'GenomicRanges', 'rtracklayer', 'BSgenome.Hsapiens.UCSC.hg19'
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-release-osx-x86_64

Version: 1.9.7
Check: package dependencies
Result: ERROR
    Packages required but not available:
     ‘InteractionSet’ ‘GenomicFeatures’ ‘GenomicInteractions’
     ‘rtracklayer’ ‘BSgenome.Hsapiens.UCSC.hg19’
    
    See section ‘The DESCRIPTION file’ in the ‘Writing R Extensions’
    manual.
Flavor: r-oldrel-osx-x86_64